CAll Us: +254-713478555 Live Chat   Login
Essentials you should know about supported PHP versions.

Essentials you should know about supported PHP versions.

Lately, we have been mentioning PHP quite a lot. You’ve probably wondered what it’s all about. We will take you through the basics. We promise not to be boring so hang in there! Don’t fall asleep just yet this information will be helpful.

What is PHP? Does it matter for non-techies?

PHP is an open source general-purpose scripting language that is widely used to develop websites and web applications. It’s best suited for web development.
In an updated report by W3Techs, who conduct web technology surveys, PHP is used by 78.9% of all the websites using a server-side programming language. In simpler terms for example, if you’re using WordPress as your CMS, it’s built on PHP.

It’s important to note that just like any other software, PHP requires improvements and constant fixing of bugs and security issues. That’s why we have several PHP versions. The team mainly supports new releases for a period of about 2years, during which reported bugs and security issues are addressed.

See the currently supported versions below.

 

 

End-of-Life (EOL)

We have severally mentioned that PHP 5.6 and 7.0 have reached end-of-life and will no longer be supported hence exposing your site (If running on the unsupported versions) to unpatched security vulnerabilities.

What does this have to do with your hosting?

Ideally, your CMS (e.g. WordPress, Joomla) version requires a specific PHP version to run on the server. If your website is on a version that requires let’s say PHP 5.6, there’s a problem. As your web host, we understand that PHP 5.6 is very popular and widely used in the world. Because we care, we are contacting and giving support to clients whose websites are running on the old-unsupported versions, giving a deadline of 3-months. We have the newer versions PHP 7.1, 7.2 and 7.3 available. You can check from your cPanel under PHP Selector.

If you would like to remain safe from security vulnerabilities, experience significant website performance and low memory usage, then your CMS should be updated to run on PHP 7.2 and 7.3. Learn how to check which PHP version your CMS is compatible with here.

Conclusion.
By the time you get to the conclusion, you should be on call with your developer, if not already called. There are no two ways about it because ignoring will catch up to you soon enough. Take this chance and engage your web developer. I believe you’re a couple of folds wiser on what we’ve been discussing about when it comes to PHP.

If you did not take a nap somewhere after 78.9 %, we’re probably on the same page. As I wrap up, check out some of our amazing hosting plans just for you! You can have us on speed dial for any questions you may have. We’re always delighted to engage with our clients.

About the Author

Leave a Reply

error: